Subject: bug#12915: 24.2.50; Visiting a file via drag-and-drop should add it to the history ofvisited files

From: "Drew Adams" <[email-masked]>
Date: Mon, 14 Jan 2013 07:50:11 -0800

> > to the minibuffer history.  When I browse a lot of files using dired
> > then I likely re-visit them again with the same dired commands,
> > not with C-x C-f.  OTOH, I expect to see only files visited 
> > with C-x C-f in the history of C-x C-f.
> 
> Thanks, yes, that makes a lot of sense

Just as it makes a lot of sense to other users to include those files in the
history, so they _can_ access them using `C-x C-f' with `M-p', `M-s' etc.

> (tho obviously it depends on your use pattern).

That is precisely the point.

So make it possible, but not mandatory, for a user to have such Dired commands
augment `file-name-history'.  Let individual users choose the behavior they
want.

And this applies just as much to commands (e.g. `C') that act on a file but do
not display it.